Update a budget's details
Updates the details of a given budget.
PATCH
/
budgets
/
{budgetId}
cURL
curl --request PATCH \
--url 'https://api.equalsmoney.com/v2/budgets/{budgetId}?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"feature": {
"payments": true,
"budgetCards": true,
"peopleCards": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD"
},
"allowCurrencyAlignment": false,
"name": "Test Budget"
}
'import requests
url = "https://api.equalsmoney.com/v2/budgets/{budgetId}"
payload = {
"feature": {
"payments": True,
"budgetCards": True,
"peopleCards": True,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD"
},
"allowCurrencyAlignment": False,
"name": "Test Budget"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feature: {
payments: true,
budgetCards: true,
peopleCards: true,
lowBalanceThreshold: 0,
lowBalanceCurrencyCode: 'USD'
},
allowCurrencyAlignment: false,
name: 'Test Budget'
})
};
fetch('https://api.equalsmoney.com/v2/budgets/{budgetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equalsmoney.com/v2/budgets/{budgetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'feature' => [
'payments' => true,
'budgetCards' => true,
'peopleCards' => true,
'lowBalanceThreshold' => 0,
'lowBalanceCurrencyCode' => 'USD'
],
'allowCurrencyAlignment' => false,
'name' => 'Test Budget'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equalsmoney.com/v2/budgets/{budgetId}"
payload := strings.NewReader("{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.equalsmoney.com/v2/budgets/{budgetId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equalsmoney.com/v2/budgets/{budgetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}"
response = http.request(request)
puts response.read_body{
"id": "775596ae-2624-40af-a9dc-9756110a4a03",
"boxId": "a43231c221",
"name": "Team Party",
"accountId": "F50091",
"parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
"feature": [
{
"id": "string",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"payments": true,
"budgetCards": true,
"peopleCards": true,
"forwardDeposits": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"currency": [
{
"id": "string",
"boxCurrencyId": 0,
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD",
"local": "unique",
"international": "unique",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"balance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"totalBalance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"children": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"details": [
{
"currency": "USD",
"sortCode": "12-34-56",
"accountNumber": "12345678",
"ibans": [
{
"iban": "GB26SPPV23188497371875",
"bic": "BARCGB22"
}
],
"accountName": "Equals Money",
"bankName": "SPECTRUM PAYMENT SERVICES",
"bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
"balanceReference": "Balance reference"
}
],
"settlementDetails": {
"currencyDetails": [
{
"currencyCode": "USD",
"local": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
},
"international": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
}
}
],
"balanceReference": "Balance reference"
},
"individualBudgetHolder": {
"id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
"createdAt": "2019-08-24T14:15:22Z"
},
"priority": 1,
"level": 1,
"type": "accountBalance",
"status": "active",
"senderId": "3f0c2a8e-6b1d-4e7a-9c55-2d8f1b7e4a90",
"allowCurrencyAlignment": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}Path Parameters
Body
application/json
Body
Response
200 - application/json
OK
Was this page helpful?
⌘I
cURL
curl --request PATCH \
--url 'https://api.equalsmoney.com/v2/budgets/{budgetId}?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"feature": {
"payments": true,
"budgetCards": true,
"peopleCards": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD"
},
"allowCurrencyAlignment": false,
"name": "Test Budget"
}
'import requests
url = "https://api.equalsmoney.com/v2/budgets/{budgetId}"
payload = {
"feature": {
"payments": True,
"budgetCards": True,
"peopleCards": True,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD"
},
"allowCurrencyAlignment": False,
"name": "Test Budget"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feature: {
payments: true,
budgetCards: true,
peopleCards: true,
lowBalanceThreshold: 0,
lowBalanceCurrencyCode: 'USD'
},
allowCurrencyAlignment: false,
name: 'Test Budget'
})
};
fetch('https://api.equalsmoney.com/v2/budgets/{budgetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equalsmoney.com/v2/budgets/{budgetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'feature' => [
'payments' => true,
'budgetCards' => true,
'peopleCards' => true,
'lowBalanceThreshold' => 0,
'lowBalanceCurrencyCode' => 'USD'
],
'allowCurrencyAlignment' => false,
'name' => 'Test Budget'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equalsmoney.com/v2/budgets/{budgetId}"
payload := strings.NewReader("{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.equalsmoney.com/v2/budgets/{budgetId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equalsmoney.com/v2/budgets/{budgetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feature\": {\n \"payments\": true,\n \"budgetCards\": true,\n \"peopleCards\": true,\n \"lowBalanceThreshold\": 0,\n \"lowBalanceCurrencyCode\": \"USD\"\n },\n \"allowCurrencyAlignment\": false,\n \"name\": \"Test Budget\"\n}"
response = http.request(request)
puts response.read_body{
"id": "775596ae-2624-40af-a9dc-9756110a4a03",
"boxId": "a43231c221",
"name": "Team Party",
"accountId": "F50091",
"parentId": "775596ae-2624-40af-a9dc-9756110a4a03",
"feature": [
{
"id": "string",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"payments": true,
"budgetCards": true,
"peopleCards": true,
"forwardDeposits": true,
"lowBalanceThreshold": 0,
"lowBalanceCurrencyCode": "USD",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"currency": [
{
"id": "string",
"boxCurrencyId": 0,
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD",
"local": "unique",
"international": "unique",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"balance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"totalBalance": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"children": [
{
"id": "string",
"currencyCode": "USD",
"availableBalance": 10,
"lastUpdatedSequentialId": 0,
"currency": "USD",
"BudgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"ledgerBalance": 50,
"pendingBalance": 40,
"allocatedBalance": 10,
"ledgerAndAllocatedBalance": 60,
"activeCurrencyOnBudget": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"details": [
{
"currency": "USD",
"sortCode": "12-34-56",
"accountNumber": "12345678",
"ibans": [
{
"iban": "GB26SPPV23188497371875",
"bic": "BARCGB22"
}
],
"accountName": "Equals Money",
"bankName": "SPECTRUM PAYMENT SERVICES",
"bankAddress": "Vintners Place, 68 Upper Thames St, London, EC4V 3BJ, United Kingdom",
"balanceReference": "Balance reference"
}
],
"settlementDetails": {
"currencyDetails": [
{
"currencyCode": "USD",
"local": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
},
"international": {
"accountIdentifier": "31510604",
"bankIdentifier": "10-00-00",
"payeeName": "ACME",
"bankName": "Brilliant Bank",
"bankAddress": {
"addressLine1": "41 Middle Street",
"addressLine2": "string",
"addressLine3": "string",
"city": "Enfield",
"postcode": "EN1 3JY",
"country": "United Kingdom"
}
}
}
],
"balanceReference": "Balance reference"
},
"individualBudgetHolder": {
"id": "b489ea2c-0dd1-4fb1-b345-de5a596a5527",
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"personaId": "775596ae-2624-40af-a9dc-9756110a4a04",
"createdAt": "2019-08-24T14:15:22Z"
},
"priority": 1,
"level": 1,
"type": "accountBalance",
"status": "active",
"senderId": "3f0c2a8e-6b1d-4e7a-9c55-2d8f1b7e4a90",
"allowCurrencyAlignment": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}